%global momorel 8

Name:           perl-MooseX-KeyedMutex
Version:        0.00003
Release:        %{momorel}m%{?dist}
Summary:        Role To Add KeyedMutex
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-KeyedMutex/
Source0:	http://www.cpan.org/modules/by-module/MooseX/MooseX-KeyedMutex-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.8.0
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-KeyedMutex >= 0.05
BuildRequires:  perl-Moose
BuildRequires:  perl-Test-Exception
BuildRequires:  perl-Test-UseAllModules
Requires:       perl-KeyedMutex >= 0.05
Requires:       perl-Moose
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
MooseX::KeyedMutex adds instant distributed locking to you objects via
KeyedMutex.

%prep
%setup -q -n MooseX-KeyedMutex-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes MooseX-KeyedMutex-0.00001.tar.gz MooseX-KeyedMutex-0.00002.tar.gz
%{perl_vendorlib}/MooseX/KeyedMutex*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.00003-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.00003-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.00003-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.00003-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.00003-4m)
- rebuild against perl-5.10.1

* Tue Jun  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.00003-3m)
- remove duplicate directories

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.00003-2m)
- rebuild against rpm-4.6

* Sat Oct 04 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.00003-1m)
- Specfile autogenerated by cpanspec 1.77 for Momonga Linux.
